Public Member Functions | Public Attributes | List of all members
librevenge::RVNGTextPresentationGeneratorImpl Struct Reference

## Public Member Functions
| RVNGTextPresentationGeneratorImpl (RVNGStringVector &pages)

## Public Attributes
RVNGStringVector & | m_pages
std::ostringstream | m_stream

## Constructor & Destructor Documentation

## ◆ RVNGTextPresentationGeneratorImpl()

librevenge::RVNGTextPresentationGeneratorImpl::RVNGTextPresentationGeneratorImpl | ( | RVNGStringVector & | pages | ) |
| explicit

## Member Data Documentation

## ◆ m_pages

RVNGStringVector& librevenge::RVNGTextPresentationGeneratorImpl::m_pages

Referenced by librevenge::RVNGTextPresentationGenerator::endSlide().

## ◆ m_stream

std::ostringstream librevenge::RVNGTextPresentationGeneratorImpl::m_stream

Referenced by librevenge::RVNGTextPresentationGenerator::closeParagraph(), librevenge::RVNGTextPresentationGenerator::endMasterSlide(), librevenge::RVNGTextPresentationGenerator::endSlide(), librevenge::RVNGTextPresentationGenerator::endTextObject(), librevenge::RVNGTextPresentationGenerator::insertLineBreak(), librevenge::RVNGTextPresentationGenerator::insertSpace(), librevenge::RVNGTextPresentationGenerator::insertTab(), and librevenge::RVNGTextPresentationGenerator::insertText().

The documentation for this struct was generated from the following file:

- RVNGTextPresentationGenerator.cpp